#include "../precompiled_libcef.h"
#include "cef.h"
#include "scheme/cef_scheme_capi.h"
#include "cpptoc/scheme_handler_factory_cpptoc.h"

bool CefRegisterScheme(const std::wstring& scheme_name,
													const std::wstring& host_name,
													CefRefPtr<CefSchemeHandlerFactory> factory)
{
	return cef_register_scheme(scheme_name.c_str(), host_name.c_str(),
		CefSchemeHandlerFactoryCppToC::Wrap(factory));
}
